Subject: bug#39349: browse-url-of-dired-file should respect directory symlinks

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 31 Jul 2020 04:47:40 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> $ emacs /cf/updates
> then there do browse-url-of-dired-file on 0952053635.html
>
> Well that calls chromium or emacs-w3m on
> file:///mnt/usb/cf/updates/0952053635.html
> as seen in chromium's URL bar, or emacs-w3m's "c" or "=" commands.

I've now tried reproducing this bug in both emacs-26.3 and 28.1, and I'm
unable to.  My setup isn't identical to yours, but I'm also using
symlinks to directories, and the symlinked form is always passed to the
browser as is without dereferencing.

Are you seeing this problem if you start emacs with -Q and just

(setq browse-url-browser-function 'browse-url-chromium)  

?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no